/* LPSN - Poisson log-likelihood function
**
** Purpose: computes a Tx1 vector of contributions to the Poisson
**          log-likelihood
**
** Date: July 13, 1998
**
*/

proc lpsn(b,y);
    local m,k;
    k = cols(y);
    m = y[.,2:k]*b;
    retp((y[.,1].*m)-exp(m)-lnfact(y[.,1]));
endp;

